%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate szip

Name:           rust-szip
Version:        1.0.0
Release:    1%{?dist}
Summary:        Fast command line tool for snappy compression and decompression

License:        BSD-3-Clause
URL:            https://crates.io/crates/szip
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A fast command line tool for snappy compression and decompression.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        BSD-3-Clause AND MIT AND (MIT OR Apache-2.0)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license COPYING
%license LICENSE.dependencies
%doc README.md
%{_bindir}/szip
%{_mandir}/man1/szip.1*

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'help2man'

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
help2man --no-info --output=szip.1 target/rpm/szip

%install
%cargo_install
install -t %{buildroot}%{_mandir}/man1 -D -p -m 0644 szip.1

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
